<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="generator" content="GitLab Pages">
    <title>MosquitoScan Project Reports</title>
    <link rel="stylesheet" href="style.css">
  </head>
  <body>
    <div class="navbar">
      <a href="https://gitlab.com/mosquitoscan">MosquitoScan Project</a>
      <a href="https://mosquitoscan.gitlab.io/experiments-reports/mos_skin_ad2_cul_all-original/">Current Report Home</a>
      <a href="https://gitlab.com/mosquitoscan/experiments-reports/mos_skin_ad2_cul_all-original/">Current Report Repository</a>
      <a href="https://gitlab.com/mosquitoscan/experiments-reports/">All Reports Repository</a>
    </div>
    <h1>MosquitoScan Project</h1>
  <h2>Performance Evaluation</h2>
  <h3>Model: <b>xresnet50</b></h3> 
  <h3>Dataset: <b>mos_skin_ad2_cul_all</b></h3> 

  <ul>
    <li>
      <a href="https://mosquitoscan.gitlab.io/experiments-reports/mos_skin_ad2_cul_all-original/pages/xresnet50_ep_20_ClassPerformance.html">Class Performance</a>
      - Overall classification accuracy and performance per class.
    </li>
    <li>
      <a href="https://mosquitoscan.gitlab.io/experiments-reports/mos_skin_ad2_cul_all-original/pages/xresnet50_ep_20_ConfusionMatrixReport.html">Confusion Matrix</a>
      - Visualizes how the model classified different mosquito species.
    </li>
  
    <li>
      <a href="https://mosquitoscan.gitlab.io/experiments-reports/mos_skin_ad2_cul_all-original/pages/xresnet50_ep_20_PredictionDrift.html">Prediction Drift report</a>
      - Explains how the model's performance changes over time.
    </li>
    <li>
      <a href="https://mosquitoscan.gitlab.io/experiments-reports/mos_skin_ad2_cul_all-original/pages/xresnet50_ep_20_SimpleModelComparison_stratified.html">Simple Model Comparison (stratified)</a>
      - Compares the performance of this model with simple basic models on a balanced dataset.
    </li>
    <li>
      <a href="https://mosquitoscan.gitlab.io/experiments-reports/mos_skin_ad2_cul_all-original/pages/xresnet50_ep_20_SimpleModelComparison_stratified_0.6.html">Simple Model Comparison (stratified at 0.6)</a>
      - Similar to above, but focuses on a specific data threshold.
    </li>
    <li>
      <a href="https://mosquitoscan.gitlab.io/experiments-reports/mos_skin_ad2_cul_all-original/pages/xresnet50_ep_20_SingleDatasetPerformance.html">Single Dataset Performance</a>
      - Analyzes the model's performance on a single dataset.
    </li>
    <li>
      <a href="https://mosquitoscan.gitlab.io/experiments-reports/mos_skin_ad2_cul_all-original/pages/xresnet50_ep_20_SingleDatasetPerformance_f1_per_class.html">Single Dataset Performance (F1-score per class)</a>
      - Analyzes the model's F1-score (harmonic mean of precision and recall) for each mosquito species.
    </li>
    <li>
      <a href="https://mosquitoscan.gitlab.io/experiments-reports/mos_skin_ad2_cul_all-original/pages/xresnet50_ep_20_data_integrity.html">Data Integrity Suite report</a>
      - Assesses the quality and consistency of the data used to train the model.
    </li>
    <li>
      <a href="https://mosquitoscan.gitlab.io/experiments-reports/mos_skin_ad2_cul_all-original/pages/xresnet50_ep_20_full_suite.html">Full Suite report</a>
      - Combines all the individual experiment reports into a single document.
    </li>
    <li>
      <a href="https://mosquitoscan.gitlab.io/experiments-reports/mos_skin_ad2_cul_all-original/pages/xresnet50_ep_20_model_evaluation.html">Model Evaluation Suite report</a>
      - Provides a comprehensive evaluation of the model's performance on various metrics.
    </li>
    <li>
      <a href="https://mosquitoscan.gitlab.io/experiments-reports/mos_skin_ad2_cul_all-original/pages/xresnet50_ep_20_train_test_validation.html">Train Test Validation Suite report</a>
      - Split sets validation for model development.
    </li>
    </ul>
  
  </body>
</html>

